# TindCode

TindCode is a Flutter and Dart-based application created by Timothé KOBAK and Matis SPINELLI. It offers a user interface reminiscent of Tinder but with a twist – instead of swiping on potential dates, users swipe on programming-related media.

## Features

- Tinder-like UI for browsing and interacting with programming-related media.
- Swipe right to add media to favorites.
- Swipe left to remove media.
- Favorite page for accessing saved media with detailed information.
- Tap on media in favorites to view additional details.

## Technologies Used

- Flutter
- Dart

## Getting Started

To get started with TindCode, follow these steps:

1. Clone the repository to your local machine.
2. Ensure you have Flutter and Dart installed on your system.
3. Open the project in your preferred IDE.
4. Run the application on an emulator or physical device.

## Usage

Upon launching TindCode, users will be greeted with a selection of programming-related media cards. They can swipe right on a card to add it to their favorites or swipe left to remove it. 

To access their favorites, users can navigate to the favorites page where they'll find a collection of saved media. Tapping on a media card in the favorites page will display additional details about the item.


## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Contact

For any inquiries or feedback, feel free to reach out to us:

- Timothé KOBAK: [timothe.kobak@etu.imt-nord-europe.fr](mailto:)
- Matis SPINELLI: [matis.spinelli@etu.imt-nord-europe.fr](mailto:)

Thank you for using TindCode!  🚀